====================================
          Archi Change Log
====================================



Archi 4.6 (November 11 2019)
============================

New Features, Improvements
--------------------------
- Support for ArchiMate 3.1
- Add ValueStream concept
- Add directed attribute to the Association relationship
- Update relationships rules table
- Add the "Value Stream" viewpoint
- Add the "Application Structure" Viewpoint
- Add ValueStream concept, isDirected and "Value Stream" viewpoint support to Open Exchange Format
- CSV Import/Export - Association isDirected saved as a Property
- Hints files updated
- Help files and screenshots updated
- Internal eCore model changes to reflect ArchiMate concept metamodel
- Built on Eclipse 4.13
- Add Outline Opacity setting to diagram figures in Appearance tab
- Add Name Visible option to connections in Appearance tab
- [Models Tree] Cut and Paste of objects and folders
- [Models Tree] Add option for coloured folder icons (Preferences, "Colours and Fonts")
- [Models Tree] Use a flatter default folder icon
- [Models Tree Search] Improve speed of auto search and add option to complete search on Return key press
- [Models Tree] Add drill down menu actions
- [Models Tree] Improve speed of update in response to multiple notifications
- [Models Tree] Text edit control has increased height on Linux
- Add Dark Theme option (General Preferences)
- Add Automatically select light/dark theme option for MacOS 10.14 and greater (General Preferences)
- Add new "Features" API
- Add new Jasper Reports API
- Diagram label edit controls are multi-line
- Add local Undo action to StyledText control ("Documentation")
- [Preferences] All colour values are saved when exporting a colour scheme
- [XMLExchange] Create folder structure on import
- [XMLExchange] Validation after export is optional
- [XMLExchange] Empty folders are exported
- [XMLExchange] Improve export wizard and import methods
- Disable global action handlers when Properties View text controls are edited
- Custom colours in Colour Chooser dialogs are persisted on Windows (#169)
- Use *.archiplugin as the default plugin file extension
- Optimisations for speed and memory usage
- [HTML Reports] Reverse order of hitbox <area> tags
- [Canvas] "New Model with Canvas" action improved
- Template Wizards remember the last folder used
- Use longer IDs when generating with templates
- Allow all characters in regex parsed links in Documentation fields and User Properties
- Allow "file://" in regex parsed links in Documentation fields and User Properties
- Limit width of tooltip with long names
- Set maximum number of opened Views when opening model if preference set
- [Model Checker] Add checks for diagram component refs and folder elements when model saved
- Use better method of creating coloured cursor with FormatPainter
- Mac escape key no longer bound to exit full screen
- Ensure zoom combo control is not too wide on Linux
- Convert legacy "BusinessActivity" concept to "BusinessProcess" when opening very old Archi models
- [P2] Add "cleanConfig" option to Workbench cleaner
- Use Inno Installer 6 for Windows installer version

Fixed Bugs
----------
- Fix User Properties Table Cell Editor not disabling global action handlers
- Fix connection labels background on Mac
- Fix NPE when Splitting Editor
- [Models Tree] Fix NPE when cell editor active and focus lost occurs
- [Properties View] Fix main name label not updating under some situations
- [Properties View] catch SWTException when setFocus() is called
- [Save Canvas as Template Wizard] Fix not saving as template if it contains diagram references
- [Save Canvas as Template Wizard] Remove connections from diagram references
- Add workaround for Preferences categories not showing on MacOS Catalina (#548)



Archi 4.5.1 (August 7 2019)
===========================

Fixed Bugs
----------
- Ensure config area is properly cleaned on startup



Archi 4.5 (August 5 2019)
=========================

New Features, Improvements
--------------------------
- Built on Eclipse 4.11
- Various speed optimisations when handling larger models
- Free up system memory when closing models
- Renaming multiple objects is faster
- Deleting multiple objects is faster
- All versions now ship with an OpenJDK 11 Java bundle
- Support only 64-bit versions
- Changed plug-in management dialog and system to use "dropins" folder
- Sync between Models Tree and View reference objects
- Remove max Java heap space size in Archi.ini file
- [User Properties] Show icon and tooltip in table if Property value is a web link
- Check for new version action has better error message if connection problems
- Log errors when exporting to HTML Report
- Faster creation of internal IDs for objects
- Faster handling of object Properties
- Faster handling of internal object references
- Improved reconnection handling where there is more than one instance of an object in a View
- [HTML Report] Better progress dialog messages
- [Jasper Reports] Better progress dialog messages

Fixed Bugs
----------
- [XMLExchange] Don't import/export Properties for a Group figure (not supported in XSD)
- [XMLExchange] Don't export Canvas/Sketch View references (instead export empty node)
- Fix edge case of bendpoints not removed in Redo/Undo when creating a circular connection
- Fix clicking on Properties panel "forgets" selected element (#483)
- Fix child object x,y set to 0,0 when dragged out of parent onto diagram with negative space
- Fix Image Export dialog shortening names containing a "." (#492)
- [HTML Report] Escape characters in folder names
- Make sure parent folder exists when saving a template



Archi 4.4 (April 03 2019)
=========================

New Features, Improvements
--------------------------
- [HTML Report] Graphical objects are selectable and display their contents and properties
- Find/Replace dialog works on Text Content objects (Notes, Stickies, Canvas)
- [CSV Import] No need to have all 3 files present and can select any of the 3 files
- The Windows and Mac binaries now ship with OpenJDK Java bundles
- Java Runtime and Docs installation is now optional in the Windows installer
- Improved look of Property Tabs and labels on Mac
- Grouping concept has alternate rectangular figure type and can now set text position
- Group figure has option for tabbed or rectangle border type for and can now set text position
- Changed behaviour for top/left resizing of diagram object to create space
- Added Preference for behaviour of top/left resizing of diagram object
- The Magic Connector cursor is fatter
- Allow connections between Groups, View References, and ArchiMate Concepts in Views
- Notes now have Properties
- Canvas Images now have Properties and a Documentation field
- Add a "Check for Updates" button in the "About" dialog
- Updated Apache Commons CSV libraries to latest versions
- Updated Eclipse Nebula Widgets libraries to latest versions
- Updated Jasper Reports libraries to latest versions
- Updated Batik SVG/PDF libraries to latest versions
- Property keys are sorted alphabetically in the Models Tree Search dropdown list
- [HTML Report] Show cancellable progress dialog when exporting
- [HTML Report] Opening report in browser now works for local network URLs
- [HTML Report] Export Views and Folders into embedded SQL DB
- [Jasper Reports] Show a better cancellable progress dialog when exporting
- Directory dialogs remember their last folder location
- Hints View logic changed to allow other plug-ins to display hints correctly
- Circular connections are now always allowed (no longer a preference)
- Properties tables can be traversed with Tab key and edited with mouse double-click

Fixed Bugs
----------
- Fix possible bogus background DND operations on long running operations on Windows
- [Exchange File Format] Fix on import where an empty Group was converted to a Note
- [HTML Report] Fix delay when closing directory dialog on Mac
- [HTML Report] Fix browser console log warning for jquery
- [HTML Report] Fix query regression and solve original bug for documentation
- [ACLI] Fix NPE on Jasper Reports CLI if "--jasper.format" option is not set
- Fix some focus issues when opening views from the toolbar
- Fix possible index -1 value on combo box on Mac in Nested Relations dialog
- Fix drag over blue artefacts on Windows
- Don't delete .config osgi cache when resetting Workbench
- Fix focus issue on Mac where a text field in the Properties window would display previous text field's content



Archi 4.3.3 (February 12 2019)
==============================

New Features, Improvements
--------------------------
- Improve load speed for large models with many objects
- Externalise Archi web URLs for new version check

Fixed Bugs
----------
- Fix for the Alasql SQL DB feature. Note that tables and columns names changed
- Fix regression on exported images wrong size on Windows with high display scaling
- Fix exception if Models Tree closed and "Link to View" is on
- Don't limit width of Spinner control in dialog on Linux GTK



Archi 4.3.2 (January 28 2019)
=============================

New Features, Improvements
--------------------------
- [ARM] nested elements dialog offers reversed connections
- [ARM] Don't show nested element dialog for Junctions
- Use case-insensitive ordering in Models Tree

Fixed Bugs
----------
- Fix exception in Visualiser if connection is a relationship
- Fix exception if connection has text and is disabled
- Don't scale images in some cases on hi-res systems
- Fix Overview thumbnail not rendering properly on Mac Mojave



Archi 4.3.1 (November 30 2018)
==============================

New Features, Improvements
--------------------------
- [Visualiser] Add Elements Filter
- [CSV Import/Export] Store Junction type as a property
- [Validator] Don't warn about Junctions having the same name
- Removed option to display user fill colours in palette and tree as this does not work with new icons

Fixed Bugs
----------
- Fixed key global key bindings still active when renaming newly created View
- [Templates] Fix manifest and model not using UTF-8 encoding when saved
- Nested Relations Dialog should complete combo selection on Mac
- [ACLI] Fix NPE when saving model
- Some actions should not activate opened Editor



Archi 4.3 (September 10 2018)
=============================

New Features, Improvements
--------------------------
- Add opacity option to figures
- Support multi-selection in Properties sections
- [HTML Report] SQL Query Tab added
- [HTML Report] Add a list of relationships on views
- Allow circular connections on notes, groups and view refs
- Can now set fill and line colours for Junctions
- Add options to allow running with Java 10
- [ACLI] Add "pause" option
- The JRE shipped with the Windows and Mac bundles is now version 1.8.0_181
- Animation for undo/redo in diagrams and layout in the Visualiser doesn't work on Linux GTK3 so is disabled on this OS
- Linux defaults to using GTK3
- Improve error message if open view not available
- Don't draw connection behind label to increase its readability
- Show validate icon in Tools menu

Fixed Bugs
----------
- Mac version should use hi-res on retina displays
- Fix possible Zip extraction error so target file path is sub-directory of target folder
- Fix connection label being misplaced at zoom level different than 100%
- [HTML Report] Escape characters in some text fields
- Browser component on Linux (Hints tab and report preview) should not rely on libwebkitgtk-1.0-0
- Fix display menu item bugs
- Other bug fixes and optimisations



Archi 4.2 (January 30 2018)
===========================

New Features, Improvements
--------------------------
- Provide x2 icons for hi-res screens
- Command line support improved
- Show file name of selected model in title bar
- [Jasper Reports] Strings externalised for localisation
- [ArchiMate Exchange Format] Export font information explicitly

Fixed Bugs
----------
- [HTML Report] Fix link hit points on hi-res screens



Archi 4.1.1 (November 29 2017)
==============================

New Features, Improvements
--------------------------
- Improved quality of images in reports and export when using a hi-res screen (regression)
- Theme rendering updated to latest version
- [Jasper Reports] Long view names are now multi-line



Archi 4.1 (November 21 2017)
============================

New Features, Improvements
--------------------------
- Add core support for command line operations
- Add command line support for HTML Report generation
- Add "Select in model tree" menu item to Visualiser
- Allow to change font height in Documentation text field with Ctrl/Command and plus/minus/zero keys or mouse scroll wheel
- Improved text cell editor for Rename in Models Tree
- Expose CSS files in Themes plug-in
- Built on Eclipse 4.7 (Oxygen)
- Animation for undo/redo in diagrams and layout in the Visualiser doesn't work on Mac OS 10.13 (High Sierra) so is disabled on this OS
- [ArchiMate Exchange Format] Optimise import - now much faster

Fixed Bugs
----------
- Don't allow Composition & Aggregation relationships to Junctions
- Fix missing elements in Model Tree search filter
- Fix Palette entries not showing if preference was unset
- Fix line jump curves not showing correctly in some cases
- [CSV Export] Fix UTF-8 BOM marker not added to relations and properties files
- Add workaround on Mac for open file dialog delay
- Add '@' character to URL regex pattern for links
- [ArchiMate Exchange Format] Close file stream if validation error occurs on import
- [ArchiMate Exchange Format] Don't allow plain line connections to other connections on import
- [ArchiMate Exchange Format] All nested connections are now created explicitly on import
- [ArchiMate Exchange Format] All nested connections are now not exported explicitly



Archi 4.0.3 (September 06 2017)
===============================

New Features, Improvements
--------------------------
- Add ArchiMate 3.0.1 relationship tables
- Faster load times on large models
- Implement "Copy As Image to Clipboard" for 64-bit Linux
- Moved to Edit menu and renamed "Export as Image to Clipboard" to "Copy As Image to Clipboard"
- Improve Plugin Installer
- Provide 64-bit Windows builds
- [CSV Import/Export] Store Influence relationship strength as a property
- [CSV Import/Export] Store Access relationship type as a property
- [CSV Import] Use UTF-8 encoding to preserve Unicode characters
- [CSV Export] Add "UTF-8 BOM" option for Excel Unicode support

Fixed Bugs
----------
- Fix for date in Jasper Reports
- Fix not all connections added in Generate View from Elements



Archi 4.0.2 (June 16 2017)
==========================

New Features, Improvements
--------------------------
- Improved quality of images in reports and export when using a hi-res screen
- [Jasper Reports] Long element names are now multi-line
- Warn user when deleting view elements if they are referenced in another view
- Windows users can now install Archi plugins from the Help menu
- Connection tooltips are now realistic about relations to Junctions

Fixed Bugs
----------
- [ArchiMate Exchange Format] Fix error on bendpoints in connections



Archi 4.0.1 (May 26 2017)
=========================

Fixed Bugs
----------
- [ArchiMate Exchange Format] Compensate for bendpoints in negative space



Archi 4.0 (May 24 2017)
=======================

New Features, Improvements
--------------------------
- ArchiMate 3.0 support
- HTML Report preview feature added
- Can now change text position on figures
- Gradients on figures (not rendered on SVG Image export)
- HTML Report now has selectable elements in diagrams
- Validator checks for consistent Junction relationships
- Holding Shift key while using mouse wheel scrolls diagrams horizontally
- Explicit connections are created when nesting parent/child objects
- Added "Paste Special" in diagrams
- Added Relationship Filter to Visualiser
- Built on Eclipse Neon
- The Java version shipped with the Windows installer and Mac bundle is now version 1.8.0_131
- Shortest Path Connection Router is no longer supported because it doesn't work when there are connections to connections
- Shadows on figures are no longer supported
- Derived relations / show structural chains feature removed pending a better implementation

Fixed Bugs
----------
- Fix some undo/redo animation problems in diagrams when Visualiser open
- [CSV Import] Allow "." character in IDs
- Fix Generate View action could add elements from different models
- Fix high memory usage of images on hi-res screens



Archi 3.3.2 (May 31 2016)
=========================

New Features, Improvements
--------------------------
- Added Viewpoint Filter and Direction modes to Visualiser
- Tag support for customisable reports
- [CSV import] Check for invalid characters in IDs

Fixed Bugs
----------
- Fix Magic Connector not working on some Windows touch devices
- [HTML Report] Don't normalise filenames created from view IDs
- Don't allow diagram reference objects to be copied and pasted to different model when in container parent



Archi 3.3.1 (October 05 2015)
=============================

Fixed Bugs
----------
- Fix for ArchiMate Exchange plug-in



Archi 3.3 (September 03 2015)
=============================

New Features, Improvements
--------------------------
- Include The Open Group's ArchiMate Exchange plug-in
- Externalise some strings

Fixed Bugs
----------
- Fix tree not refreshing when a derived relationship is created/undo



Archi 3.2.1 (May 02 2015)
=========================

Fixed Bugs
----------
- Fix cheat sheet "Create a Map View" not adding identifiers



Archi 3.2 (March 25 2015)
=========================

New Features, Improvements
--------------------------
- Improved HTML Report (created by Jean-Baptiste Sarrodie & Quentin Varquet)
- Model Validator
- Generate a View for selected ArchiMate Elements
- Add option to export CSV as ANSI or UTF-8
- Some allowed concepts have been removed/added in Viewpoints in line with ArchiMate 2.1 specification
- Allow "+" characters in parsed URLs

Fixed Bugs
----------
- Fix CSV export adding newline at end of file
- Restore the 3-pixel margin in Note figures (regression)



Archi 3.1.1 (January 12 2015)
=============================

New Features, Improvements
--------------------------
- Remove "Export View As Image to Clipboard" option on Linux 64-bit version (bug in Eclipse)

Fixed Bugs
----------
- [XML file] Save Group child figures' 'y' co-ordinate as a true value (+18 pixels)



Archi 3.1 (December 01 2014)
============================

New Features, Improvements
--------------------------
- Export View As Image now uses the View's name as the default file name
- Export View as Image to PDF now uses the size of the image width and height
- Add "Collapse" and "Expand" contextual menus to Model Tree
- Improvement in application response when there are many Model Tree nodes open
- Note figure borders can be set to "Dog Ear", "Rectangle" or "None"
- New splash screen and "About" dialog
- Add Window->Editor menu items to toggle editor split horizontally or vertically
- New preference to optionally italicise unused elements in the Model Tree
- Add Alt+7 shortcut key for Hints window
- Use a safer method to save models to file (via a temp file)
- Stronger checking of model integrity when saving and loading
- Text fields filter out non-valid xml characters
- New preference to set word wrap style for text in ArchiMate figures to hard, soft or truncated
- New Help menu item "Reset to defaults" which will reset the application settings
- [Properties window] Can now drag and drop relations from the "Model Relations" table in the "Analysis" tab to a View
- [Properties window] Unused relations are shown in italics in the "Model Relations" table in the "Analysis" tab
- New "ArchiMate Concepts" template ("Basic" template has been removed)
- The Java version shipped with the Windows installer and Mac bundle is now version 1.7.0_71

Fixed Bugs
----------
- Fixed CSV export not encoded using UTF-8
- Fixed misplaced location of endpoints on Assignment connections
- Fixed connection anchors on Junction types
- Fixed expanded tree node state sometimes not restored when opening Model View
- Fixed Welcome window saving absolute URL to content
- Fixed possible slow shutdown if Model Tree is not open
- Fixed Search widget not remembering "Show All Folders" checked
- Added workaround for Search text field on Mac Yosemite rendering problems
- Fixed not showing correct arrow heads in Visualiser for Access Relations
- Fixed incorrect default Canvas image sizes from pre-3.0 files
- Fixed some menu items were enabled when they shouldn't be



Archi 3.0 (September 29 2014)
=============================

New Features, Improvements
--------------------------
- Built on Eclipse 4.4 with new look and feel
- Can set theme for look and feel in preferences
- The Magic Connector can now create connections in both directions (source->target and target->source)
- The Magic Connector's menu items are now written as relationship phrases (e.g. "Realised by")
- Export to CSV now exports three CSV files - elements, relations and properties
- Import new and changed data from CSV files
- New Find/Replace functionality
- Views can now be exported in PDF format (embedded SVG)
- ArchiMate, Sketch and Canvas Model Reference figures now use scalable icons
- View Reference figure names are now editable (rename referenced View)
- New preference to show or hide Status bar
- New preference to set default width and height for new ArchiMate elements
- The "Select All" action in Diagram Views now selects all elements and connections
- The "Select All" action is enabled on the Model Tree, Visualiser and Navigator
- Figure icons are grey when figure disabled (when the element is not part of a Viewpoint)
- The Jasper Reports export wizard dialog now remembers the last settings when Archi is closed
- The Mac version of Archi is now bundled with Java version 1.7.0_67
- The Java version shipped with the Windows installer is now version 1.7.0_67
- Uses Jasper Reports version 5.6.0
- Jasper Reports - Can set location of user templates folder in Preferences
- Assignment connection endpoints are improved
- Default figure width and height are now saved in the *.archimate file as values
- Added new Zoom command "Actual Size"

Fixed Bugs
----------
- Some Relationship rules fixed
- Connection bendpoints - snap to grid now snaps to nearest grid point
- Fixed Full Screen Mode not hiding application Shell on Linux
- Fixed HTML Report not generated if documentation text included a hyperlink with regex character
- Fixed cannot open archive type model file (Canvas with images) if "#" character in file name
- Fixed main line colour menu item enabled when line colour derived from fill colour



Archi 2.7.1 (March 18 2014)
===========================

Fixed Bugs
----------
- Fix SVG export not encoded using UTF-8



Archi 2.7 (March 11 2014)
=========================

New Features, Improvements
--------------------------
- Icons in figures are now scalable at all zoom levels
- Views can now be exported in SVG format
- Can now export PNG/BMP/JPEG images with a scale % factor
- Export Image dialog improved
- Connection bendpoints - added a key modifier for ignoring snap to grid while dragging bendpoint (Alt on Windows, Alt/Shift on Linux, Ctrl on Mac)
- Launching one or more *.archimate files from the Desktop on Windows is greatly improved
- ArchiMate Service types can now be represented with an alternate figure
- [Copy/Paste] Clicking on a point on a diagram sets that as the point to paste copied diagram objects
- [Copy/Paste] Child objects are now copied to the correct relative positions
- The Windows Zip installation includes batch files to associate *.archimate files with Archi
- Editor zoom level now goes up to 800%
- [Model] Added support for arbitrary metadata key/value pairs
- The Java version shipped with the Windows installer is now version 1.7.0_51
- [ModelCompatibility] Opening models with new features from the future is now more forgiving
- [Help] Documentation layout has been improved
- [Internal] Uses JDOM2 for general XML persistence
- [Internal] Support for third-party image export plug-ins
- The default font on Linux is no longer "Arial 9" but is now "Sans 9". This ensures proper rendering of fonts in SVG export.
  If you wish to revert to the old font size, please use "Liberation Sans 9".

Fixed Bugs
----------
- Fixed the Format Painter not applying fill colour if it was the "default" fill colour
- Fixed Full Screen mode not really being full screen on Windows 8
- Fixed crash in Canvas Editor if image is removed from Image element and was being used in another Image element
- Fixed Model Tree not updating labels with some operations
- Fixed Font Colour chooser not showing default system colour on Linux if font colour was set to default



Archi 2.6 (January 09 2014)
===========================

New Features, Improvements
--------------------------
- Can now set line colour of diagram elements to user colour or derived from fill colour
- Added new user default colour preferences for line colours, group and note fill colours
- Improved Colours Preference page
- Preferences Panes rationalised
- ArchiMate Relationships matrix moved from Preferences to a dialog accessible from Help menu
- Improved functionality for saving user default colours in the model file
- Improved Format Painter - can copy between connections and objects
- Improved controls in Property | Appearance section
- Connection bend-points can now snap to grid (provided by Jean-Baptiste Sarrodie)
- Connections can now use rounded curves (provided by Jean-Baptiste Sarrodie)
- Connections can now use line jumps (provided by Jean-Baptiste Sarrodie)
- Improved connection anchors on some figures (rounded rectangles)
- Relationship rules have been updated to comply with ArchiMate 2.1 (provided by Jean-Baptiste Sarrodie)
- Added "Check for New Version" menu item to Help menu
- Can now add custom Jasper Reports to "reports" folder in Archi user directory (provided by Jean-Baptiste Sarrodie)
- New Jasper Report "Customizable Report" added (provided by Jean-Baptiste Sarrodie)
- New Template for "Customizable Report" added (provided by Jean-Baptiste Sarrodie)



Archi 2.5 (November 25 2013)
============================

New Features, Improvements
--------------------------
- New application icons and branding
- Option to not show shadows for diagram elements



Archi 2.4.1 (November 18 2013)
==============================

New Features, Improvements
--------------------------
- A Visualiser diagram can now be exported as an image to file, or copied to the clipboard
- Colours Preferences - can now Import/Export user-defined fill colour schemes
- Colours Preferences - Added an option to show user-defined fill colours in the model tree, palette and elsewhere
- Colours Preferences - Can reset an individual fill colour to its default value by holding Ctrl/Command key when clicking on colour button
- The Java version shipped with the Windows installer is now version 1.7.0_45
- Built on Eclipse 3.8.2 RCP
- New Innno Setup Installer for Windows version

Fixed Bugs
----------
- Fixed a bug where drag and dropping a folder in the model tree could orphan diagram elements
- Fixed connection label not located properly when in parent figure (fix by Jean-Baptiste Sarrodie)
- Relationship rules changed:
  Application Interface -> Business Service: "iou" (was "ou")
  Node -> Node: "acfgostu" (was "cfgostu")
  Node -> Device: "acfgostu" (was "cfgostu")
  Node -> Network: "aiou" (was "o")
  Node -> CommunicationPath: "aioru" (was "o")
  Device -> Node: "acfgostu" (was "cfgostu")
  Device -> Device: "acfgostu" (was "cfgostu")
  Device -> Network: "aiou" (was "o")
  Device -> CommunicationPath: "aioru" (was "o")



Archi 2.4 (December 05 2012)
============================

New Features, Improvements
--------------------------
- Added new Visualiser Window
- When creating a new connection between two elements, if there is an existing relationship of the same type, offer to reference that one
- Business Process figure can be displayed as an arrow figure
- Preferences option to set default fill colours
- Preferences option to choose whether to automatically create a backup file (*.bak) when saving
- Preferences option to use orthogonal anchor points for connections (contributed by Jean-Baptiste Sarrodie, aka Jaiguru)
- The Java version shipped with the Windows installer is now version 1.6.0_37
- Built on Eclipse 3.8.1 RCP
- Allow all ArchiMate elements to be accessed by Jasper Reports
- Canvas Editor locked text controls are selectable/scrollable

Fixed Bugs
----------
- Fixed bug where Navigator View didn't update in response to some model changes
- Relationship rule added - Deliverable Realises Plateau
- Fix Outline view not updating on Mac



Archi 2.3.1 (September 06 2012)
===============================

New Features, Improvements
--------------------------
- Built on Eclipse 3.8 RCP
- Support for Java 7
- Support for Windows 8 32-bit and 64-bit versions
- Improved native launcher for Mac OS X version
- Added "Archi on the Web" menu item to Help menu
- The Java version shipped with the Windows installer is now version 1.6.0_34
- View Full Screen removed from Mac OS X version as it now conflicts with Mac's own Full Screen support

Fixed Bugs
----------
- Fix hyperlinks not working in some Operating Systems in Properties window's multi-line text controls
- Internal bug fixes



Archi 2.3 (April 30 2012)
=========================

New Features, Improvements
--------------------------
- Improved UI performance when there are many tree nodes open in the Models Tree
- Can now connect lines between View reference figures and other figures
- Double-click in blank area of User Properties Table creates new Property
- The background for a Sketch view can now be set per view to one of "None", "Brown Paper" or "Cork" from the "Appearance" tab in Properties
- The Java version shipped with the Windows installer is now version 1.6.0_31

Fixed Bugs
----------
- Fix Magic Connector sometimes not creating connection on Mac
- Fix preferred figure type not used when adding elements from Models Tree to a View



Archi 2.2.3 (March 28 2012)
===========================

Fixed Bugs
----------
- Fix global key bindings not cleared when editing new View added in Models Tree



Archi 2.2.2 (March 20 2012)
===========================

Fixed Bugs
----------
- Fix global key bindings not cleared in Search bar and Zoom combo



Archi 2.2.1 (March 19 2012)
===========================

New Features, Improvements
--------------------------
- When adding a new element from the Palette you can now immediately edit the element's name (can be turned off in Preferences)
- Buttons and labels in Properties window can accommodate longer strings (as used by non-English localised versions)
- Archisurance example now complies with ArchiMate 2.0

Fixed Bugs
----------
- Allow WorkPackage and Plateau types to connect to Junctions 
- Typo fixes
- Tidy up some Properties window controls
- Fix pressing "x" cancel on Save confirmation dialog does not cancel



Archi 2.2 (February 19 2012)
============================

New Features, Improvements
--------------------------
- Support for ArchiMate 2.0
- Model Tree selection synchroniser can now select active View in Model Tree



Archi 2.1 (February 06 2012)
============================

New Features, Improvements
--------------------------
- Canvas Modelling Toolkit
- ArchiMate connection tooltips now display the full meaning of the relationship
- Cut/Copy/Paste/Select All shortcut keys now work in elements' label editors
- Holding down a key (Ctrl on Windows and Linux, Alt on Mac) when dragging elements from the Models Tree to a View ensures connections are not added
- Shortcut keys implemented for Mac OS X Lion full screen. Also menu item added to main "Window" menu
- The Backspace key is now bound to the Delete command on Mac OS X
- The F1 key now invokes dynamic help on Mac OS X
- Improved Diagram Connection Line Styles
- A Relationship's name is now used as the text on a connection
- BiZZdesign Architect Import/Export is no longer supported
- The "Add to my template collection" option is now enabled by default in the "Save As Template" wizard

Fixed Bugs
----------
- Fixed "Bring Forward" and "Send Backward" commands to move only one position in Z-order
- Fixed unnecessary page breaks in Jasper Reports
- Improvements to Template management
- "Save Model As Template" wizard: Fixed template could not be added to template collection if no user category selected
- "Save Model As Template" wizard: File location is set in wizard, not in separate dialog
- Fixed error when tooltips disabled in Preferences and View contained Access Relationship
- Business Event type is allowed in Application Usage Viewpoint
- Fixed crash when editor is in Full Screen mode and "Undo New View" is performed on the same View



Archi 2.0 (September 30 2011)
=============================

New Features, Improvements
--------------------------
- Dynamic Viewpoints
- Can now add multiple occurrences of objects and connections in a View
- Elements can have circular relationships and connections (self <---> self)
- Support for exporting with Jasper Reports
- Palette is now detachable and improved
- A View can be maximised to Full Screen
- Support for Mac OS X Lion Application Full Screen
- Can now launch Archi from *.archimate files from the Desktop on Mac OS X
- Export View to Bitmap (*.bmp) format now supported on Mac OS X
- Group objects now have a "Documentation" field
- Group objects can also be added to Sketch Views
- Group objects and all Sketch View diagram objects now have Properties
- Added a "Name" field to Sketch Stickies
- Added "Name" and "Documentation" fields to Sketch Connections
- On Linux default to use Webkit Browser component in the Hints window
- Added tooltips for all Sketch View elements
- When adding a new model in the Model Tree the focus is put on in-place editing so you can edit its name
- Added a preference to use curved or square tab style
- "Archisurance" example updated to include Viewpoints and re-organised folders
- The Java version shipped with the Windows installer is now version 1.6.0_26
- Built on Eclipse 3.7.1 RCP
- When closing a model close any of its open Views more gracefully
- Optimisations to Property sections in Properties Window
- Many internal optimisations

Fixed Bugs
----------
- Fix possible error on Mac in Save dialog if app is minimised



Archi 1.7 (May 5 2011)
======================

New Features, Improvements
--------------------------
- Can now add User Properties to Elements
- Search/Filter on Model Tree can search on User Properties
- HTML Report improved and contains User Properties
- Can now rename a Model Tree element with in-place editing ("Rename" in context and main menu items or F2 key)
- When adding a new element on the Model Tree the focus is put on in-place editing so you can edit the name
- Can now rename a View diagram element with "Rename" context and main menu items or F2 key
- New "Duplicate" command in the Model Tree duplicates Elements and Views
- Some View elements can show an alternative figure
- Preferences for alternative figures now sets the default for newly added elements
- Added a Note Connection type to the Palette for connections to/from Notes
- The Grid Snap and Alignment settings are now applied globally to all Views and saved
- The Access Relation type now has properties of "Access", "Read", "Write", and "Read/Write". This changes the connection's arrow head.
- Added an "Open Recent" files menu and a preference to set the maximum size of recent files list
- Changed menu item "Show Alignment Guides" to "Snap to Alignment Guides"
- Can now add View and Sketch References (linked shortcuts) to the Sketch View
- When deleting nodes on the Model Tree the previous node is now selected
- A View figure's text control can also be edited with a single-click when it is selected
- The Magic Connector cursor is now more magical
- Links in Documentation for elements are now saved as links in HTML Report
- Added the "Documentation" text field to Folders
- The Java version shipped with the Windows installer is now version 1.6.0_24
- Built on Eclipse 3.6.2 RCP
- The message in the dialog box displayed when opening a model that is already open shows the file name and model name
- Improved performance of the Outline window
- Derived relations will not be calculated if there are too many potential paths

Fixed Bugs
----------
- Fixed palette not resizing and consequent loss of keyboard input on Linux
- Fixed Magic Connector not switching mode on Mac when pressing Command Key
- Fixed a bug where the Outline window might not clear when the View's model was closed
- The drag outline figure when dragging and creating from the palette on Mac OS X Cocoa is no longer black
- Junction figures are restricted to their proper size when dragging and creating from the palette
- Fixed Connection line colour not copied when copy & paste
- Fixed Interface element type parameter not copied when copy & paste



Archi 1.6 (February 06 2011)
============================

New Features, Improvements
--------------------------
- Format Painter
- The "Automatic Relationship Management" system (ARM)
- Import BiZZdesign Architect models
- Export model to CSV format
- Added Help files and contextual Help support to Help system
- Multi-line text controls in the Properties window now support hyperlinks
- Can now set the line colour for connections
- Business, Application and Infrastructure Interface element types now have "provided" and "required" properties
- Ctrl key and mouse scroll wheel zooms the diagram
- Middle mouse button activates the Pan control
- Improved layouts of the Properties window's sections
- Support for 3rd party import/export plug-ins
- Improved and more informative tooltips in Views
- Added a preference to not show tooltips in Views
- Added 25% Zoom factor to Zoom control
- The ArchiMate type for a selected object is shown in parentheses in the title of the Properties window
- Animation on undo/redo now works for Mac Cocoa version
- Pasting copied objects in a View is now faster
- The Note figure now has a sensible default size
- Structural Chains (Derived Relations) are highlighted with a thicker red line
- Internal optimisations

Fixed Bugs
----------
- Fixed drag and drop not working on Mac Cocoa version
- Fixed an issue where it was possible to drag the wrong type of palette entry to an incorrect type of View
- Fixed Properties window not updating on Mac Cocoa version
- Undo/Redo menu items are now active when the Navigator has focus
- Navigator now updates in response to relationship connection changes
- Fixed regression bug introduced in 1.5 where Zoom menu items stopped working
- Fixed title bar in the Properties window not displaying the "&" character
- Fixed figures losing their default width and height (-1) when moving them to a parent figure
- Fixed Hints View not updating on Magic Connector menu rollover on Mac OS X



Archi 1.5.1 (December 15 2010)
==============================

Fixed Bugs
----------
- Fixed source feedback connection not erased after Escape pressed when using Magic Connector
- Fixed cancel not working when using Magic Connector



Archi 1.5 (December 12 2010)
============================

New Features, Improvements
--------------------------
- The Magic Connector
- The Navigator
- Templates
- The Sketch View
- Can now drag *.archimate files from the desktop to the Model Tree to open
- Figures in Views can have their text left, centre or right aligned
- Added a preference to choose whether to automatically open Views in a Model when opening from file
- Added a preference to open palette when opening a View
- Direct editing a Note's content now uses the Note's font in its text editor
- Added a menu option to hide/show the main toolbar (Window menu)
- Pressing the Shift key when selecting a tool in the Palette will make that tool stay selected
- Improved method for saving and restoring the expanded nodes state of the Model Tree
- Improved automatic resizing of container figures' default size when children present
- Can save and open model files if the file extension is not *.xml or *.archimate
- Report to HTML now uses UTF16 encoding

Fixed Bugs
----------
- Font and Font Colour is now copied when copying and pasting View objects
- Views with names containing non ascii characters are now saved properly in HTML Report
- Report to HTML now properly escapes the reserved characters <>&"
- Font sizes remain the same in View figures on Windows OS if the display is not 96 DPI
- Fixed a regression introduced in version 1.3 where dragging more than one relation from the Model Tree to a
  View didn't add all related elements



Archi 1.4 (November 1 2010)
===========================

New Features, Improvements
--------------------------
- A model and its views can be exported as an HTML report
- User-created sub-folders can be added to the "Views" folder
- Can now set font colour for elements and connections in Views
- Extraneous white space is trimmed off exported images
- Export current View as image to clipboard ("Export View As Image to Clipboard")
- Changed "Save As Image" menu item to "Export View As Image"
- Changed "Export to Architect" menu item to "Export Model To Architect"
- More friendly error message for a restored View tab on launch when the View's file is missing
- An "examples" folder is shipped with the application containing some ArchiMate examples



Archi 1.3 (October 11 2010)
===========================

New Features, Improvements
--------------------------
- User-created sub-folders can be added to the Model Tree
- Model Tree elements and user-folders are automatically sorted alphabetically
- Drag and drop elements to user-folders in the Model Tree
- Search Bar added to the Model Tree for filtered search of elements
- Pressing Return on a single-line text field in the Properties window now updates the value
- The Model Tree's expanded nodes state is persisted between sessions
- A New Model's default name is now "(new model)"
- Added a "General" preferences page
- The Properties window now shows the selected element's icon
- In the Properties window, "Analysis" tab, the "Model Relations" table for a selected element now shows source and target elements for relationships
- In the Properties window, "Analysis" tab, the tables are now sorted alphabetically
- Built on Eclipse 3.6.1 RCP

Fixed Bugs
----------
- When dragging and dropping a relation from Model Tree to View, all connections are now added to its connected elements in the View
- Undo/Redo menu items are now active when the Properties window has focus
- Fixed an issue where under some circumstances an element could be dragged and dropped into a View from a different model



Archi 1.2 (September 24 2010)
=============================

New Features, Improvements
--------------------------
- Implemented Derived Relations (FR #3038359)
- Export Model to BizzDesign XML format
- Windows version has installer
- Launch Archi from .archimate files on Windows (that's why we need a Windows installer)
- Added preference to use alternative figures for some element types
- Added contextual menu item to View "Delete from Model"
- Re-organised View menu items
- Layout animation does not work on Mac Cocoa version, so removed from Preferences

Fixed Bugs
----------
- "Link to View" updates immediately to current selection when selected
- Fixed Undo/Redo menu label not updating properly when selecting a View from the same model
- Changed some Relationship rules: Node, Device and System Software can now Realize an Application Component and Data Object 



Archi 1.1 (July 28 2010)
========================

New Features, Improvements
--------------------------
- Font support for View figures and connections
- Can set the default font to use for elements' text in Preferences
- Elements in Model Tree that are not referenced in any View are shown in italic font (FR #3025595)
- Added table to "Analysis" Properties tab for an element showing all of its model relations
- Added "Link to View" button to Model Tree window to synchronise Tree selection and View selection (FR #3025594 and #3019119)
- Changed order of tabs in the Properties window
- Removed "Pin to Selection" and "New Properties View" menu options from the Properties window (Bug #3019113)
  (you'll need to do a "Reset Window Layout" for this to take effect)



Archi 1.0.1 (July 18 2010)
==========================

New Features, Improvements
--------------------------
- Added a "Documentation" field to a View's Properties editor
- Support for Mac OS X Cocoa 32-bit version
- Built on Eclipse 3.6 RCP
- Completed User Guide bundled in "docs" folder

Fixed Bugs
----------
- Fixed redraw problem for some figures on Mac OS X Carbon
- Bug fixes



Archi 1.0 (June 18 2010)
========================

New Features, Improvements
--------------------------
- Added all Hints texts for objects
- Improved Hints window
- Hints now show when a View palette tool is selected or the mouse hovers over the palette tool
- Hints window only updates when a different object is selected
- Mac binary is now delivered as zip file, not a tar.gz file
- Removed shortcut key for Hints window (Alt-4) because of an Eclipse bug



Archi 0.9 (May 24 2010)
=======================

New Features, Improvements
--------------------------
- Better Cut, Copy & Paste in diagrams
- State of open diagram views is persisted when opening and closing the application
- Diagram views are opened when a model is opened from disk
- Added support for Connection bendpoints
- Added support for Connection line width
- Added a "Purpose" field to a model's Properties window
- Added grey hints to text fields in Properties window
- Added preference for anti-aliasing on connections
- Added more shortcut keys
- Added support for printing diagrams

Fixed Bugs
----------
- Fixed "Save As Image" not saving part of diagram in negative co-ordinates
- Fixed child diagram objects not deleted if parent deleted when deleting corresponding Archimate element



Archi 0.8.1 (April 29 2010)
===========================

New Features, Improvements
--------------------------
- Can add References to other Views in a View (drag a View from the Tree to the Target View Diagram)
- Drag and Drop re-ordering of Model Tree Elements (within the same folder)
- Added "Save As..." action
- Added a Cheat Sheet to create a Map View

Fixed Bugs
----------
- Fixed NPE occuring on selecting objects with marquee tool and then delete



Archi 0.8 (April 20 2010)
=========================

New Features, Improvements
--------------------------
- Graphical objects in Views are now true Containers (but no relationship is created as yet, just visual)
- Added Group Container Box type in Views
- Added "Appearance" tab in Properties window
- Added Fill colour setting for graphical objects in Properties window and on Edit menu
- Changed app name to "Archi"
- Added Extension support for Hints texts
- Hints implemented as HTML content
- Added basic Help support
- Help/Cheatsheets/Hints moved to separate plug-in

Fixed Bugs
----------
- Fixed dotted lines on connections not showing on Mac OS X
- Fixed Pinned Properties View NPE on deleted object



Archi 0.7 (April 8 2010)
========================

- First Alpha release

